> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamfoldersecurity.md).

# Get-DSPamFolderSecurity

Get-DSPamFolderSecurity devuelve los permisos de seguridad configurados en una carpeta PAM de Devolutions Server especificada.

### Sinopsis

Obtener la seguridad de una carpeta pam

### Sintaxis

#### \_\_AllParameterSets

```
Get-DSPamFolderSecurity [-ID] <guid> [-AsLegacyResponse] [<CommonParameters>]
```

### Descripción

Obtener la seguridad de una carpeta pam.

### Ejemplos

```powershell
PS C:\> $foldersResponse = Get-DSPamFolder;
    $pamVault = $foldersResponse | Where Name -eq 'AnExistingVault';
    $security = Get-DSPamFolderSecurity -ID $pamVault.ID;
    New-DSPamFolder -Name 'PamVaultA' -Security $security -AsNewVault
```

Crear una nueva bóveda PAM llamada 'PamFolderA' con la misma seguridad que la bóveda PAM llamada 'AnExistingVault'

### Parámetros

#### -AsLegacyResponse

En versiones anteriores a la 2024.2, muchos cmdlets de DS devolvían un objeto ServerResponse. Al habilitar este modificador de compatibilidad con versiones anteriores, los scripts desarrollados para versiones anteriores pueden funcionar correctamente.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ID

ID de la carpeta pam cuya seguridad se obtendrá.

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notas

Para más información, escriba "Get-Help Get-DSPamFolderSecurity -detailed". Para información técnica, escriba "Get-Help Get-DSPamFolderSecurity -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamfoldersecurity.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
